%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   Module-ScanDeps
%define modv   1.02
%define modp   %(echo %{modn} | cut -d'-' -f1)


Summary:       A Perl module to scan Perl code for dependencies
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/R/RS/RSCHUPP/%{modn}-%{modv}.tar.gz
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Roderich Schupp <rschupp@cpan.org>
Provides:      perl(Module::ScanDeps::DataFeed) = 0.09
Requires:      perl(:MODULE_COMPAT_%{perl_version})
BuildRequires: perl >= 5.6
BuildRequires: perl(Config)
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Glob)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FindBin)
BuildRequires: perl(Module::Build::ModuleInfo)
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod) >= 1.00
BuildRequires: perl(version)
BuildArch:     noarch


%description
Module::ScanDeps is a module to recursively scan potential modules used
by Perl programs.


%prep
%setup -q -n %{modn}-%{modv}


%build
%{__perl} \
	Makefile.PL \
	INSTALLDIRS="vendor"

%{__make} %{?_smp_mflags}


%check
%{?el3:%{__rm} t/7-check-dynaloader.t}
%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist" -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d    -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS Changes README
%{_bindir}/scandeps.pl
%{perl_vendorlib}/%{modp}
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*


%changelog
* Wed Apr 06 2011 Peter Pramberger <peterpramb@member.fsf.org> - 1.02-1
- New version (1.02)

* Tue Nov 16 2010 Peter Pramberger <peterpramb@member.fsf.org> - 0.98-1
- New version (0.98)

* Wed Mar 18 2009 Peter Pramberger <peterpramb@member.fsf.org> - 0.89-1
- New version (0.89)

* Sat May 10 2008 Peter Pramberger <peterpramb@member.fsf.org> - 0.83-1
- Initial build
